<?php
/*
/**
* CHRONOFORMS version 1.0 stable
* Copyright (c) 2006 Chrono_Man, ChronoEngine.com. All rights reserved.
* Author: Chrono_Man (ChronoEngine.com)
* See readme.html.
* Visit http://www.ChronoEngine.com for regular update and information.
**/

/* ensure that this file is called from another file */
defined('_JEXEC') or die('Restricted access'); 
class menuChronoContact {
	function MENU_Default() {
		JToolBarHelper::title( JText::_( 'Forms Manager' ));
		JToolBarHelper::publishList();
		JToolBarHelper::unpublishList();
		JToolBarHelper::divider();
		JToolBarHelper::addNew();
		JToolBarHelper::custom($task = 'copy', $icon = 'copy_f2.png', $iconOver = 'copy_f2.png', $alt = 'Copy form', $listSelect = true) ;
		JToolBarHelper::editList();
		JToolBarHelper::deleteList();
		JToolBarHelper::spacer();
		JToolBarHelper::spacer();
		JToolBarHelper::spacer();
		JToolBarHelper::spacer();
		JToolBarHelper::custom($task = 'show', $icon = 'extensions_f2.png', $iconOver = 'extensions_f2.png', $alt = 'Show Data', $listSelect = true) ;
		JToolBarHelper::custom($task = 'createtable', $icon = 'properties_f2.png', $iconOver = 'properties_f2.png', $alt = 'Create table', $listSelect = true) ;
		JToolBarHelper::spacer();
		JToolBarHelper::spacer();
		JToolBarHelper::custom($task = 'backup', $icon = 'downloads_f2.png', $iconOver = 'downloads_f2.png', $alt = 'Backup Form', $listSelect = true) ;
		JToolBarHelper::custom($task = 'restore1', $icon = 'restore_f2.png', $iconOver = 'restore_f2.png', $alt = 'Restore Form', $listSelect = false) ;
		
	}
	function MENU_Edit() {
		
		JToolBarHelper::save();
		JToolBarHelper::cancel();
		JToolBarHelper::spacer();
		
	}
	function MENU_Show() {
		
		JToolBarHelper::cancel('cancelview', "Cancel");
		
	}
	function MENU_Show2() {
		
		JToolBarHelper::cancel('cancelconfig', "Cancel");
		JToolBarHelper::deleteList('','deleterecord','Delete');
		JToolBarHelper::spacer();
		JToolBarHelper::spacer();
		JToolBarHelper::custom($task = 'backexcel', $icon = 'downloads_f2.png', $iconOver = 'downloads_f2.png', $alt = 'Backup to Excel', $listSelect = false) ;
		
	}
	function CONFIG_MENU() {
		
		JToolBarHelper::save('saveconfig', "Save");
		JToolBarHelper::spacer();
		JToolBarHelper::cancel('cancelconfig', "Cancel");
		
	}
	function MENU_Cancel() {
		
		JToolBarHelper::cancel();
		JToolBarHelper::spacer();
		
	}
}
?>

